Bug 1260600 - [RFE] OSP-d support for multiple same type Cinder backends
[RFE] OSP-d support for multiple same type Cinder backends
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity high
: ---
: 8.0 (Liberty)
Assigned To: Hugh Brock
Shai Revivo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 07:01 EDT by Marius Cornea
Modified: 2016-06-14 09:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-14 09:19:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2015-09-07 07:01:16 EDT
Description of problem:

OSP-d should support multiple same type Cinder backends. 

Use case 1: You would like to use 2 external Ceph pools as rbd backend. Each pool uses different type of drives (HDD and SSD) for providing different type of storage QoS for the Cinder volumes.

Use case 2: You are using a NFS server for storing the Cinder volumes and it runs out of storage capacity. You want to scale out by adding an additional NFS storage server where to store future Cinder volumes.
Comment 5 Mike Burns 2016-04-07 16:50:54 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 9 Mike Burns 2016-06-14 09:19:43 EDT
I suspect that this is already available in OSP8.  The solution for bug 1269990 should allow having arbitrary numbers of each type of backend.

Note:  this does not apply to ceph -- there is another separate rfe for that (bug 1309550)

Note You need to log in before you can comment on or make changes to this bug.